View Issue Details

IDProjectCategoryView StatusLast Update
0000257file[All Projects] Generalpublic2021-04-19 17:02
ReportercuihaoAssigned Tochristos 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.40 
Target VersionFixed in VersionHEAD 
Summary0000257: file -i doesn't recognize xz files
Descriptionfile -i doesn't recognize xz files possibly because the stock magic file is broken.
Steps To Reproduce$ file -i xxx.xz

With file 5.39, I got:
xxx.xz: application/x-xz; charset=binary

With newest file 5.40, I got:
xxx.xz: application/octet-stream; charset=binary
Additional InformationI did git-bisect and found commit 3ebd747d (Add checksum for XZ) introduced the bug. I don't know the format so IDK how to fix it.

OS: Arch Linux, latest packages
Kernel: 5.11.11-zen1-1-zen
TagsNo tags attached.

Activities

sgallagh

2021-04-12 14:02

reporter   ~0003583

Additional downstream bug in Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=1947317

christos

2021-04-19 17:02

manager   ~0003589

Fixed, thanks!

Issue History

Date Modified Username Field Change
2021-04-03 17:05 cuihao New Issue
2021-04-12 14:02 sgallagh Note Added: 0003583
2021-04-19 17:01 christos Assigned To => christos
2021-04-19 17:01 christos Status new => assigned
2021-04-19 17:02 christos Status assigned => resolved
2021-04-19 17:02 christos Resolution open => fixed
2021-04-19 17:02 christos Fixed in Version => HEAD
2021-04-19 17:02 christos Note Added: 0003589